package db;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.service.ServiceRegistry;
import org.hibernate.service.ServiceRegistryBuilder;

public class DatabaseHandler {
	
	static Session session;
	
	public static void connect() {
		Configuration configuration = new Configuration();
		configuration.configure();
		ServiceRegistry serviceRegistry = new ServiceRegistryBuilder().applySettings(configuration.getProperties()).buildServiceRegistry(); 
		SessionFactory factory = configuration.buildSessionFactory(serviceRegistry);
		session = factory.openSession();		
	}
	
	public static Session getSession() {
		if (session == null)
		{
			connect();
		}
		return session;
	}

	public static void close() {
		session.close();
		session = null;
	}
	
}


