package db;

import org.hibernate.Session;

import data.User;

public class HibernateUserDao implements IUserDao {

	@Override
	public void createUser(User user) {
		Session session = DatabaseHandler.getSession();
		session.beginTransaction();
		session.save(user);
		session.getTransaction().commit();
	}

	@Override
	public User findByUserName(String userName) {
		Session session = DatabaseHandler.getSession();
		session.beginTransaction();
		User user = (User)session.get(User.class, userName);	
		session.getTransaction().commit();
		return user;		
	}

	@Override
	public void updateUser(User user) {
		Session session = DatabaseHandler.getSession();
		session.beginTransaction();
		session.update(user);			
		session.getTransaction().commit();
	}

	@Override
	public void deleteUser(String userName) {
		Session session = DatabaseHandler.getSession();
		User user = findByUserName(userName);
		session.beginTransaction();
		session.delete(user);			
		session.getTransaction().commit();
	}

}
