package db;

import java.util.ArrayList;
import java.util.List;

import data.Post;

public class MockPostDao implements IPostDao {
	
	Post mockPost = null;

	@Override
	public void createPost(Post post) {
		mockPost = post;
	}

	@Override
	public List<Post> findByHeader(String header) {
		List<Post> list = new ArrayList<Post>();
		if (mockPost != null)
		{			
			mockPost.setHeader(header);
			list.add(mockPost);
		} 
		return list;
	}
	
	@Override
	public List<Post> findByCategory(String category) {
		List<Post> list = new ArrayList<Post>();
		if (mockPost != null)
		{			
			mockPost.setCategory(category);
			list.add(mockPost);
		} 
		return list;
	}

	@Override
	public List<Post> findByDate(String date) {
		List<Post> list = new ArrayList<Post>();
		if (mockPost != null)
		{
			mockPost.setDate(date);
			list.add(mockPost);
		} 
		return list;
	}

	@Override
	public List<Post> findByPoster(String poster) {
		List<Post> list = new ArrayList<Post>();
		if (mockPost != null)
		{
			mockPost.setPoster(poster);
			list.add(mockPost);
		} 
		return list;
	}

	@Override
	public void updatePost(Post post) {
		mockPost = post;		
	}

	@Override
	public void deletePost(Post post) {
		mockPost = null;
	}

	@Override
	public Post findById(int id) {
		if (mockPost != null)
		{
			mockPost.setID(id);
			return mockPost;
		}
		else
		{
			return null;
		}
	}

}
