package services;

import java.text.DateFormat;
import java.util.Date;
import java.util.List;

import data.Post;
import db.IPostDao;

public class PostManager {
	
	IPostDao dao;
	
	public PostManager(IPostDao dao) {
		this.dao = dao;
	}
	
	public Post createPost(String header, String body, String poster, String category) {
		Post post = new Post();
		post.setHeader(header);
		post.setBody(body);
		post.setPoster(poster);
		post.setDate(DateFormat.getDateInstance(DateFormat.SHORT).format(new Date()));
		post.setCategory(category);
		dao.createPost(post);
		return post;		
	}
	
	public Post findById(int id) {
		return dao.findById(id);		
	}
	
	public List<Post> findByHeader(String header) {
		return dao.findByHeader(header);		
	}
	
	public List<Post> findByPoster(String poster) {
		return dao.findByPoster(poster);
	}
	
	public List<Post> findByDate(String date) {
		return dao.findByDate(date);		
	}
	
	public List<Post> findByCategory(String category) {
		return dao.findByCategory(category);
	}
	
	public void changePost(Post post, String header, String body) {
		post.setHeader(header);
		post.setBody(body);
		post.setDate(DateFormat.getDateInstance(DateFormat.SHORT).format(new Date()));
		dao.updatePost(post);
	}

	public void deletePost(Post post) {
		dao.deletePost(post);
	}
	
	public List<String> getCategoryList() {
		return Post.getCategoryList();
	}
		
}
