package services;

import data.User;
import db.IUserDao;

public class UserManager {
	
	IUserDao dao;
	
	public UserManager(IUserDao dao) {
		this.dao = dao;
	}
	
	public boolean exists(String userName) {
		return (dao.findByUserName(userName) != null);
	}
	
	public User createUser(String userName, String password, String firstName, String lastName) {
		if (!exists(userName))
		{
			User user = new User();
			user.setUserName(userName);
			user.setPassword(password);
			user.setFirstName(firstName);
			user.setLastName(lastName);
			dao.createUser(user);
			return user;
		}
		else
		{
			return null;
		}
	}
	

	public User findByUserName(String userName) {
		return dao.findByUserName(userName);
	}
	
	public void changeName(User user, String newFirstName, String newLastName) {
		user.setFirstName(newFirstName);
		user.setLastName(newLastName);
		dao.updateUser(user);
	}
	
	public boolean changePassword(User user, String oldPassword, String newPassword) {
		if (dao.findByUserName(user.getUserName()).getPassword().equals(oldPassword))
		{
			user.setPassword(newPassword);
			dao.updateUser(user);
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public User login(String userName, String password) {
		User user = dao.findByUserName(userName);
		if (user != null)
		{
			if (user.getPassword().equals(password))
			{
				return user;
			}
		}
		return null;
	}
	
	public void deleteUser(String userName){
		dao.deleteUser(userName);
	}
}
