package tests;

import static org.junit.Assert.*;

import org.junit.Test;

import data.Post;
import db.DatabaseHandler;
import db.HibernatePostDao;

public class PostDaoTest {

	@Test
	public void dbTest() {
		DatabaseHandler.connect();
		HibernatePostDao dao = new HibernatePostDao();
		
		Post post = new Post();
		
		post.setHeader("header");
		post.setBody("body");
		post.setDate("01-01-01");
		post.setPoster("poster");
		post.setCategory("category");
		dao.createPost(post);
		
		assertFalse(dao.findByHeader("header").size() == 0);
		
		assertFalse(dao.findByDate("01-01-01").size() == 0);

		assertFalse(dao.findByPoster("poster").size() == 0);
		
		assertFalse(dao.findByCategory("category").size() == 0);
			
		post.setHeader("newHeader");
		dao.updatePost(post);
		assertFalse(dao.findByHeader("new").size() == 0);

		dao.deletePost(post);
		assertEquals(dao.findById(post.getID()), null);
		
		DatabaseHandler.close();
	}

}
