
package tests;

import static org.junit.Assert.*;

import org.junit.Test;

import data.User;
import db.DatabaseHandler;
import db.HibernateUserDao;

public class UserDaoTest {

	@Test
	public void dbTest() {
		DatabaseHandler.connect();
		HibernateUserDao dao = new HibernateUserDao();
		
		User user = new User();
		
		user.setUserName("userName");
		user.setFirstName("firstName");
		user.setLastName("lastName");
		user.setPassword("password");
		dao.createUser(user);

		assertFalse(dao.findByUserName("userName") == null);
		
		user.setFirstName("newFirstName");
		dao.updateUser(user);
		assertTrue(dao.findByUserName("userName").getFirstName() == "newFirstName");
		
		dao.deleteUser("userName");
		assertEquals(dao.findByUserName("userName"), null);
		
		DatabaseHandler.close();
	}
	
}
