package web;

import java.util.Locale;

import org.apache.wicket.authroles.authentication.AuthenticatedWebSession;
import org.apache.wicket.authroles.authorization.strategies.role.Roles;
import org.apache.wicket.request.Request;

import data.User;

@SuppressWarnings("serial")
public class MySession extends AuthenticatedWebSession {
	 
	private User user;

	public MySession(Request request) {
		super(request);
		setLocale(new Locale("en", "US"));
	}

	@Override
	public boolean authenticate(String userName, String password) {
		user = ((WicketApplication)getApplication()).getUserManager().login(userName, password);
  		return (user != null);
	}
	
	public boolean isActive() {
		return (user != null);
	}

	@Override
	public Roles getRoles() {
		// TODO Auto-generated method stub
		return null;
	}
	
	public User getUser() {
		return user;
	}
	
	public String getUserName() {
		if (user != null)
		{
			return user.getUserName();
		}
		else
		{
			return null;
		}
	}

	public void setUser(User user) {
		this.user = user;
	}
	
}
