package web.pages;

import org.apache.wicket.markup.html.form.DropDownChoice;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.RequiredTextField;
import org.apache.wicket.markup.html.form.SubmitLink;
import org.apache.wicket.markup.html.form.TextArea;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;

import web.WicketApplication;

import data.Post;

@SuppressWarnings("serial")
public class AddPostPage extends MyWebPage {

	public AddPostPage() {
		add(new AddPostForm("addPostForm"));
		add(new FeedbackPanel("feedback"));
		add(new BookmarkablePageLink<Void>("homeLink", HomePage.class)); 
	}

	private class AddPostForm extends Form<Void> {
		private String header;
		private String body;
		private String category;

		public AddPostForm(String id) {
			super(id);
			add(new RequiredTextField<String>("Header", new PropertyModel<String>(this, "header")));
			add(new TextArea<String>("Body", new PropertyModel<String>(this, "body")));
			add(new DropDownChoice<String>("selectCategory", new PropertyModel<String>(this, "category"), Post.getCategoryList()));
			add(new SubmitLink("submit"));
		}

		@Override
		public void onSubmit() {
			Post post = ((WicketApplication)getApplication()).getPostManager().createPost(header, body, getMySession().getUserName(), category);
			PageParameters parameters = new PageParameters();
			parameters.add("postID", post.getID());
			setResponsePage(PostPage.class, parameters);
		}

	}

}
