package web.pages;

import java.util.List;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.request.mapper.parameter.PageParameters;

import data.Post;

import web.WicketApplication;


@SuppressWarnings("serial")
public class CategoryPage extends MyWebPage {

	private String categoryName;

	public CategoryPage(PageParameters parameters) {
		categoryName = parameters.get("categoryName").toString(); 
		add(new Label("categoryName", categoryName));
		add(new PostList("postList", ((WicketApplication)getApplication()).getPostManager().findByCategory(categoryName)));
		add(new BookmarkablePageLink<Void>("homeLink", HomePage.class));
	}
	
	public class PostList extends ListView<Post> {

		public PostList(String id, List<Post> list) {
			super(id, list);
		}

		@Override
		protected void populateItem(ListItem<Post> item) {
			PageParameters parameters = new PageParameters();
			parameters.add("postID", item.getModelObject().getID());
			item.add(new BookmarkablePageLink<Void>("post", PostPage.class, parameters).add(new Label("postName", item.getModelObject().getHeader())));
		}
		
	}

}
	