package web.pages;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.PasswordTextField;
import org.apache.wicket.markup.html.form.RequiredTextField;
import org.apache.wicket.markup.html.form.SubmitLink;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.PropertyModel;

@SuppressWarnings("serial")
public class LoginPage extends MyWebPage {

	public LoginPage() {
		add(new LogInForm("logInForm"));
		add(new FeedbackPanel("feedback"));
		add(new BookmarkablePageLink<Void>("registerLink", RegisterPage.class));
		add(new BookmarkablePageLink<Void>("homeLink", HomePage.class));
	}

	public class LogInForm extends Form<Void> {
		private String userName;
		private String password;

		public LogInForm(String id) {
			super(id);
			add(new RequiredTextField<String>("User Name", new PropertyModel<String>(this, "userName")));
			add(new PasswordTextField("Password", new PropertyModel<String>(this, "password")));
			add(new SubmitLink("submit"));
		}

		@Override
		public void onSubmit() {
			if (getMySession().authenticate(userName, password))
			{
				setResponsePage(new HomePage());
			}
			else
			{
				info("Wrong username of password.");
			}
		}

	}

}
