package web.pages;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.PasswordTextField;
import org.apache.wicket.markup.html.form.RequiredTextField;
import org.apache.wicket.markup.html.form.SubmitLink;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.PropertyModel;

import web.MySession;
import web.WicketApplication;

@SuppressWarnings("serial")
public class RegisterPage extends MyWebPage {

	public RegisterPage() {
		add(new RegisterForm("registerForm"));
		add(new FeedbackPanel("feedback"));
		add(new BookmarkablePageLink<Void>("logInLink", LoginPage.class));
		add(new BookmarkablePageLink<Void>("homeLink", HomePage.class));  
	}

	public class RegisterForm extends Form<Void> {
		private String userName;
		private String password;
		private String confirmPassword;
		private String firstName;
		private String lastName;

		public RegisterForm(String id) {
			super(id);
			add(new RequiredTextField<String>("User Name", new PropertyModel<String>(this, "userName")));
			add(new PasswordTextField("Password", new PropertyModel<String>(this, "password")));
			add(new PasswordTextField("Confirm Password", new PropertyModel<String>(this, "confirmPassword")));
			add(new RequiredTextField<String>("First Name", new PropertyModel<String>(this, "firstName")));
			add(new RequiredTextField<String>("Last Name", new PropertyModel<String>(this, "lastName")));
			add(new SubmitLink("submit"));
		}

		@Override
		public void onSubmit() {
			if (((WicketApplication)getApplication()).getUserManager().findByUserName(userName) == null)
			{
				if (password.equals(confirmPassword))
				{
					MySession session = getMySession();
					session.setUser(((WicketApplication)getApplication()).getUserManager().createUser(userName, password, firstName, lastName));
					setResponsePage(HomePage.class);
				}
				else
				{
					info("Passwords don't match.");
				}
			}
			else
			{
				info("Username is taken.");
			}
		}

	}
}
